blob_id stringlengths 40 40 | length_bytes int64 7 488k | source stringlengths 7 488k |
|---|---|---|
140c7f6afadcbe5bf62d0c62e1d794d780fa2756 | 203 | #bin/bash
rm -rf test-server/plugins/TwitchBridge.jar
cp target/TwitchBridge.jar test-server/plugins/TwitchBridge.jar
cd test-server
java -DIReallyKnowWhatIAmDoingISwear=true -jar spigot-1.16.5.jar nogui |
33a4b522f6fda84c33e9812d541fe45e97272825 | 164 | #!/usr/bin/env bash
if [ "$1" == "--version" ]; then
gpg $@
else
gpg --pinentry-mode loopback --batch --passphrase-fd 0 --no-tty $@ <<< $GPG_PASSPHRASE
fi;
|
be347946d32578fa9e87c69d427f54d29a874a5b | 39 | #!/bin/bash
./plot_1.gnu
./plot_2.gnu
|
6e50992660c62ee9189180ee5fa7e970b0842c66 | 121 | #!/bin/bash
python3 ../../label.py EC/day_aggregation.csv EC/Key/pca_clusters.csv cluster EC/Key/raw_clusters.csv cluster |
2047e4ce2239c8fd459da377fbb6e854b6cfcf2e | 278 | #!/bin/bash
if [ ${HOST_IP} ]; then
ipaddr=${HOST_IP}
else
ipaddr=`/sbin/ifconfig eth0 | grep "inet addr" | awk -F: '{print $2}' | awk '{print $1}'`
fi
echo "export HOST_IP=$ipaddr" | tee -a ~/.bash_aliases
. ~/.bash_aliases
/usr/local/bin/docker-compose up -d
|
87ebb79da0a8975f99346240f87d887d0e15e6a0 | 191 | #!/usr/bin/env bash
#Find Text in files
echo "Searching for files containing the text '$1' in current dir and all sub-dirs"
find . -type f -not -iwholename '*.git*' -exec grep -il "$1" {} \;
|
5f02c3d06ed420ed854606eb857b10d85f374ade | 3,443 | #!/bin/bash
JAR=/Users/albarron/workspace/LumpSTS/target/LumpSTS-0.0.1-SNAPSHOT.jar
DEPENDENCIES=/Users/albarron/workspace/LumpSTS/target/dependency/*
INPUT_PATH=/Users/albarron/workspace/LumpSTS/DATA
################
# CHAR N-GRAMS #
################
CLAZZ=cat.lump.sts2017.similarity.CharNgramsSimilarity
######
#... |
e9e6aab7b7faa78735fbfb8debb494a8bf0addb1 | 319 | #!/bin/sh
#export MODELSIM_BIN="$HOME/intelFPGA_lite/18.0/modelsim_ase/bin"
MODELSIM_BIN="$HOME/intelFPGA_lite/18.0/modelsim_ase/linuxaloem"
# cleanup
rm -f code_ref.dis
rm -f code_dut.dis
$MODELSIM_BIN/vlib work
$MODELSIM_BIN/vlog riscv_asm.sv riscv_asm_tb.sv
$MODELSIM_BIN/vsim -c -do 'run -all;quit' riscv_asm_tb
|
354b7b191e7c840a0d839a944525648c3f939845 | 291 | #!/bin/bash
build_dir=build_sc
cd $build_dir
CPPFLAGS="" CFLAGS="-I`pwd`/../ -I`pwd`/../../expat-2.0.1/lib/" LDFLAGS="-L`pwd`/../../target/usr/local/lib/" ../configure --target=mipsel-linux-uclibc --host=mipsel-linux-uclibc --build=i486-linux-gnu --enable-shared --enable-static --prefix=
|
9fdaab2b4ffb201dfaa8be0915650d734b968d7b | 262 | #!/bin/sh
# vim:ft=zsh:
# abstract: symlink the results of a beets query
QUERY="comments:knarkmacka"
while read d; do ln -s $d; done <<(beet ls comments:knarkmacka|dirnamep|sort -u)
#while read d; do
# ln -s $d; done
# <<(beet ls "$QUERY"|dirnamep|sort -u)
|
1f608830550d82dfa38fbd17c3b511dab0f72a68 | 1,867 | #!/bin/bash
#Copyright (c) 2015 Apps4Av Inc.
# Author Zubair Khan (governer@gmail.com)
#All rights reserved.
#
#Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:
#
# * Redistributions of source code must retain the above co... |
c5dd39bb52ab02bd9683bd4d5e81686a5d224a53 | 326 | function loop()
{
while true
do
sleep 1
echo "looping"
done
}
function int()
{
echo "sigint"
exit
}
function term()
{
echo "term"
exit
}
function quit()
{
echo "quit"
exit
}
function shkill()
{
echo "kill"
exit
}
trap int SIGINT
trap term SIGTERM
trap shkill SIGKILL
trap quit SIGQUIT
... |
ec6291365d119a1c0f80f0f536f876760dcaab1a | 46 | #!/bin/bash
git pull --rebase origin master
|
2b603e54985df8c7a77de4ae6206feb77a56bea3 | 190 | #!/bin/sh
curl -s 'http://www.weatherlink.com/user/cokikite/index.php?view=main&headers=0' | \
ruby -ane 'puts Time.now, $F[2].match(/wrap.(\S+) (\d+)/)[1,2] if ~/KT<\/span><\/td>.*$/'
|
fd8b3cad7c6725f76ee1044e64be16b5b3962709 | 2,612 | #!/bin/bash
unhide_cursor() {
printf '\e[?25h'
}
trap unhide_cursor EXIT
_key()
{
local kp
ESC=$'\e'
_KEY=
IFS= read -d '' -r -sn1 _KEY
case $_KEY in
"$ESC")
while read -d '' -sn1 -t1 kp
do
_KEY=$_KEY$kp
case $kp in
[a-zA-NP-Z~]) break;;
esac... |
ba04e3c556883cde1c22681906aa2e19848cfb42 | 490 | #/bin/bash
echo $PWD
WORKDIR=$PWD
ls -l
source /afs/cern.ch/project/eos/installation/cms/etc/setup.sh
cd /afs/cern.ch/user/q/qwang/work/cleanroomRun2/Ana/CMSSW_7_5_8_patch3/src/QWAna/QWCumuGap/test
eval `scramv1 runtime -sh`
cp qw_Hijing_mod1.py $WORKDIR/cfg.py
cd $WORKDIR
cmsRun cfg.py
ls -l
NEW_UUID=$(openssl rand -... |
86d5e28d79386c3a3a1d28d6878619517a2818e1 | 787 | #!/usr/bin/env bash
#
if test "$1" = "-h" -o "$1" = "--help" -o "$1" = "help"; then
echo "setup [fragment...]: sets up environment for the oc tool suite"
exit 0
elif test -z "$1"; then
PARTS=(
base
python
homebrew
apt
yum
pkg
)
else
declare -a PARTS=(... |
6330fd354cb9b8dddcc615f21ae2ef27d39e7325 | 744 | #!/bin/bash
# Disconnected Operator Catalog Mirror and Minor Upgrade
# Variables to set, suit to your installation
export OCP_REGISTRY=quay.io/openshift-release-dev/ocp-release-nightly
export OCP_RELEASE={{ ocp_release_nightly_version }}
export LOCAL_REGISTRY={{ provisioner_cluster_registry_var }}
export LOCAL_REPOSIT... |
9b2d11618175f5c5ae90ba3945c21ef10b11d4bb | 413 | mkdir -p $HOME/.kube
kubectl cluster-info
kubectl-get nodes
kubectl get nodes
kubectl apply -f https://docs.projectcalico.org/manifests/calico.yaml
kubectl get nodes
kubectl get deployment -n kube-system
kubectl get ns
kubectl create -f nginx.yaml
vim deployment.yaml
kubctl apply -f deployment.yaml
kubectl apply -f d... |
682fe20b95251cd30f7855bd600e55c7dcd775dc | 549 | if [ ! -f "$PKI_DIR/issued/$OVPN_SERVER_CN.crt" ] || [ "$REGENERATE_CERTS" == 'true' ]; then
echo "easyrsa: creating server certs"
EASYCMD="/opt/easyrsa/easyrsa --vars=/opt/easyrsa/vars"
$EASYCMD init-pki
$EASYCMD build-ca nopass
$EASYCMD gen-dh
openvpn --genkey --secret $PKI_DIR/ta.key
$EASYCMD build-server... |
ef4c9df03d62a9ef049ac434efde3fba12a5c685 | 1,139 | #!/bin/bash
set -a
. ./.env
set +a
echo "creating certs dir: "${HOST_DATA_PATH}"/certs"
mkdir ${HOST_DATA_PATH}/certs
echo "creating certbot dir"
mkdir ${CERTBOT_PATH}
echo "changing ownership of certbot dir (for docker execution)"
sudo chmod -R g+rwx ${CERTBOT_PATH}
sudo chgrp -R ${UID} ${CERTBOT_PATH}
sudo chown -R... |
d066714b4bc2950846e9977f81e0748e9ddb52b0 | 104 | python pythonTPG_pion_step2.py /nfs_scratch/laura/pi0_int_v2.root
python plotPi0.py outfile_v2.root v3
|
76f7dc0c14972d5920b7b06be9f4681f55a16ff1 | 1,349 | #!/bin/bash
name="mv_columnwise"
prog="$name.c"
exe="$name.o"
out="$name.fasilkom.result"
clear && mpicc -o $exe $prog -lm &&
echo "NP\tData\tComm Time\tProcess Time" > $out &&
mpirun -hostfile ~/mpi_hostfile -np 5 $exe 360 >> $out &&
mpirun -hostfile ~/mpi_hostfile -np 5 $exe 360 >> $out &&
mpirun -hostfile ~/mpi_host... |
18005223e5efaa6646816d83e2dcca1c26d13417 | 63 | #!/bin/bash
cat create_database.sql | cockroach sql --insecure |
80f670ca3914ec0bcf888c18ceede15b598ce671 | 1,194 | autoload colors && colors
if (( $+commands[git] ))
then
git="$commands[git]"
else
git="/usr/bin/git"
fi
git_branch() {
echo $($git symbolic-ref HEAD 2>/dev/null | awk -F/ {'print $NF'})
}
git_dirty() {
st=$($git status --porcelain 2>/dev/null | tail -n 1)
if [[ "$st" == "" ]]
then
st=$($git status 2... |
a01f9088cf232bb7c62c62df93f4c04a25d85e1f | 155 | alias -- -='cd -'
alias ls='ls -h --color=auto'
alias ll='ls -l'
alias la='ls -lA'
alias lt='ls -ltr'
alias mv='mv -i'
alias rm='rm -i'
alias RM='rm -vrf'
|
e1925b50bee6cd5301736b0d13ca55de5bea8979 | 4,194 | #! /usr/bin/env bash
export DEBIAN_FRONTEND=noninteractive
# Remove old log
[[ -f /home/vagrant/vm_build.log ]] && rm /home/vagrant/vm_build.log
# Put date in provision log
date > /home/vagrant/vm_build.log
# Variables
DBHOST=localhost
DBNAME=ipsaone
DBUSER=root
DBPASSWD=secret
echo -e "\n--- Provisioning Vagrant ... |
205a3c7ee1bdb197f58cad48b398ac6f1df6b406 | 231 | #!/bin/sh
#
# Print a ranked list of contributor names, based on lines of code
git ls-files | \
xargs -n1 git blame --line-porcelain | \
grep '^author' | \
sed -n 's/^author //p' | \
sort -f | \
uniq -ic | \
sort -nr
|
d8a9d71dcd75b4959397f99a206a46f5d403464d | 221 | #!/bin/bash
echo "printEmail.sh called: $0 $* in directory $PWD"
if [ "" ] && which gv; then
# 2-up
a2ps -Email --medium=Letter --output=- | gv -
else
# 1-up
a2ps -Email -1 --medium=Letter --output=$HOME/email.ps
fi
|
bea0ce7b0de5967bc3278a487e9449938e276b7b | 39 | python /var/adhoc/manage.py getfblikes
|
523d18aed6285dde90ea94acf67bc74610a5a621 | 89 | #!/usr/bin/env bash
# node src would be enough, but better be explicit
node src/index.js
|
dacc60ef01ab67ec9d6b5847547559dfad407615 | 62 | man fonts-conf
sudo fc-cache -f -v
fc-match --verbose $family
|
a495d1da0327f4d0f3576bf475c5dd69e359cd37 | 4,688 | #! /usr/bin/env bash
set -euo pipefail
script_dir="$(cd "$(dirname "${BASH_SOURCE[0]}")" > /dev/null 2>&1 && pwd)"
project_dir=${script_dir}/..
config_dir=${project_dir}/config
overlay_dir=${project_dir}/overlays
secrets_dir=${project_dir}/secrets
work_dir=${project_dir}/work
product_dir="${work_dir}/tanzu-application... |
69f11eb30d5444b67f930eefc7c6d56c4bdfaeb6 | 4,171 | #!/bin/bash
# parameters
prefix=$5
scheme=$1
profile="$prefix"/$2
app_name=$3
build_configuration=$4
function failed()
{
local error=${1:-Undefined error}
echo "Failed: $error" >&2
exit 1
}
function println()
{
echo "$(tput setaf 220)\n $1 \n$(tput sgr 0)"
}
function setup_app_data()
{
println "** $FU... |
413ed5d546467a7b2a63337d449486f8ea230676 | 215 | #!/bin/bash
for i in $(seq $(find . -type d | wc -l))
do
find . -maxdepth $i -name "$1" | \
while read line
do newline=$(echo $line | sed "s/'$1'/'$2'/g")
echo $newline
mv "$line" $newline
done
done
|
4ddb959a8e0873c0bec823d66ec4d72b65df6c1e | 68 | #!/bin/bash
dotnet Fabrikam.DroneDelivery.DroneSchedulerService.dll
|
9f80a077d33c87e7342f60c1c0c4faf83cda1e81 | 671 | #!/bin/bash
SRC=$1
DST=$2
if [[ -z $SRC || -z $DST ]]; then
echo ""
echo "Usage: $0 <output from showfiles.sh> <new dir for extras>"
echo ""
exit 255
fi
if [ ! -d "${DST}" ]; then
mkdir -p "${DST}" || { echo "Cannot create $DST" ; exit 255 ; }
fi
echo "Moving files..."
while IFS="" read -r F || [ -n "$F" ]
do
... |
0d6084cbf565237015bb7667fad77edede99bdae | 371 | #!/bin/bash
command1="cd /bin /tmp slkfjl"
# Stop any running shells
stop_shell
# Run command
echo $command$'\n'pwd | "$SHELL" > "$YOUR_OUTPUT" 2> "$YOUR_ERROR" &
echo $command$'\n'pwd | sh > "$EXPECTED_OUTPUT" 2> "$EXPECTED_ERROR"
# Wait for one second
"$SLEEP" "$SLEEPSECONDS"
# Check the output
check_output
# C... |
13dd0731c688a60e0dd07187942674126c9152de | 848 | #!/bin/bash
#
# Display GitHub download URL for a local file.
#
# VERSION :1.0.0
# DATE :2018-05-18
# AUTHOR :Viktor Szépe <viktor@szepe.net>
# URL :https://github.com/szepeviktor/debian-server-tools
# LICENSE :The MIT License (MIT)
# BASH-VERSION :4.2+
# DEPENDS :apt-get in... |
16292b31f18ec38652ee0c4fa6833dca8171e8c1 | 4,304 | #!/bin/bash
#Colors
GREEN='\033[0;32m'
RED='\033[0;31m'
NC='\033[0m' # No Color
EXECUTABLE="../../build/nachos-step6 -f -cp"
EXECUTABLE_RAND="../../build/nachos-step6 -rs -f -cp"
#EXECUTABLE_RAND_SEED="../../build/nachos-step6 -rs 18 -x"
nbFails=0
Check_Result(){
if [ "$?" -eq "0" ]
then
printf "${... |
07d30795081e0ee38157e3a6e3c600839d2378f2 | 234 | #! /bin/bash
rsync -rP --copy-links --ignore-existing micah@192.168.1.41:/home/micah/* /home/micah/
rsync -rP --copy-links --ignore-existing micah@192.168.1.41:/home/micah/.* /home/micah/
scp -r 192.168.1.41:~/.vscode/* ~/.vscode
|
904bc6d502524a187e8b2fbc622b858d2c9c5947 | 48,519 | #!/bin/bash
$dbg_flag
job_id=$1
card_type=$2
if [[ $# -lt 2 ]]; then
echo "Usage: $0 <Job ID> <Card Type>"
echo "Example: $0 6863212 cx6"
exit 0
fi
card_type=$(echo "$card_type" | awk '{print toupper($0)}')
if [[ $card_type == "CX5" ]]; then
source ~/github/tools/scripts/cx5_perf_ci_threshold.txt
elif [[ $card_t... |
0dbd71c902969a489752b1213d7502c4455b1c58 | 645 | #!/bin/sh
DOCKER_COMPOSE="1.23.2"
DRY="0.9-beta.9"
# Exit immediately on error or undefined variable
set -e
set -u
echo "Downloading & installing Docker Compose ${DOCKER_COMPOSE} (to /usr/local/bin/docker-compose)"
curl -fsSL https://github.com/docker/compose/releases/download/${DOCKER_COMPOSE}/docker-compose-`uname ... |
9b60cc7e815ababca753676c6c3619813d336913 | 89 | #!/usr/bin/env bash
cf login -a https://api.ng.bluemix.net -u <EMAIL> -o <ORG> -s <SPACE> |
9369fe24cf64c61b7a7195c2797d2e1ab7833387 | 1,150 | #!/bin/bash
set_git_vars () {
export GIT_USER_NAME=$USER
export GIT_REPO_NAME=$(basename $(pwd))
export GIT_NAME="Maurício Dias"
export GIT_EMAIL="mauricio@mauricio.cc"
}
set_git_remotes () {
git remote set-url origin --add https://gitlab.com/${GIT_USER_NAME}/${GIT_REPO_NAME}.git
git remote add origin-git... |
607a0701746f24f044ad0eede0ff635aa82b6ff1 | 110 | #!/bin/sh
# this is a simple wrapper script that will restart the
# NTP daemon
/etc/init.d/S46chrony restart
|
c3ac594dff2b6a65a83b4ac00462b10b3e95c771 | 13,170 | ls
php -m
apt-get install curl
apt-get install vim
exit
ls
cd /var/www
ls
apt-get install mysql-server php5-mysql
mysql_install_db
/usr/bin/mysql_secure_installation
echo "deb http://ppa.launchpad.net/nginx/stable/ubuntu $(lsb_release -sc) main" | sudo tee /etc/apt/sources.list.d/nginx-stable.list
sudo apt-key adv --ke... |
1e5cdddafd61120fb95db65bbd36a130b106041b | 34 | #!/bin/sh
python3 -m pdb test.py
|
d3beaf0105d29a1402d5183e4802a8c2f8862bb0 | 760 | #!/usr/bin/env bash
# VirtualBox Oracle VM VirtualBox Extension Pack
# https://forums.virtualbox.org/viewtopic.php?f=7&t=44337
mode=${1:-'install'}
if [ "$mode" == 'install' ];
then
# Install VirtualBox Oracle VM VirtualBox Extension Pack
version=$(vboxmanage -v)
var1=$(echo ${version} | cut -d 'r' -f 1 | cut... |
54e01f1d71c6b3b9a5297bbeb5c5e3ae39c7ccd6 | 174 | #!/usr/bin/env bash
echo "Removing dist directory..."
rm -rf dist
echo "Removing .parcel-cache directory..."
rm -rf .parcel-cache
yarn run parcel serve ./public/index.html
|
b8aa1c1e84003279bc633586ac41a562dd7a75b2 | 872 | #!/bin/bash
#==============================================================================
# DESCRIPTION: Testing for basename command.
# The basename command is used to strip directory and suffix from
# include/stdio.h filename.
#============================================================... |
1dc534415a8ced4a79a9d8bc195524321957c761 | 4,572 | #!/bin/sh
apk update
apk add curl curl-dev openssl-dev
source /vagrant/provisions/env.sh
### NGINX ###
apk add nginx
adduser -D -u 1234 -g 'www' www
mkdir /www
chown -R www:www /var/lib/nginx
chown -R www:www /www
mv /etc/nginx/nginx.conf /etc/nginx/nginx.conf.orig
cp /vagrant/provisions/nginx.conf /etc/nginx/nginx.... |
b23dbe96098b0cd9db505a6a985822d8f98d5ed4 | 1,462 |
pkgbase=libqgit2-git
pkgname=('libqgit2-qt4-git' 'libqgit2-qt5-git')
pkgver=0.22.1.r339.b4f0e31
pkgrel=1
pkgdesc='libgit2 bindings for Qt. (GIT Version)'
arch=('i686' 'x86_64')
url="https://projects.kde.org/projects/playground/libs/libqgit2"
license=('GPL2')
makedepends=('cmake' 'git' 'qt5-base' 'qt4' 'libgit2-git')
s... |
53bbe05c5118ec57057fb1673bf33cb019e41703 | 113 | #!/usr/bin/env bash
set -e
echo "" > coverage.txt
gotest -v ./... -coverprofile=coverage.txt -covermode=atomic
|
a1cade4fe92a4666905e1fd52569e6742ab53c0d | 490 | #!/bin/bash
echo "Master 安装 kube-apiserver,kube-controller-manager,kube-scheduler-systemd"
# 只在 Master 运行
set -euo pipefail
./06-0-env-master.sh
sleep 1
./06-1-create-kubernetes-pem.sh
sleep 1
./06-2-create-token.sh
sleep 1
./06-3-create-kube-apiserver-systemd-unit.sh
sleep 1
./06-4-create-kube-controller-manager-sy... |
d2c1079ff342ef7b1490c36ff2ee0a39e383eb5e | 161 | PROJECTION=4326
MQ_HOST=mq.gbif.org
MQ_USERNAME=mblissett
MQ_PASSWORD=
MQ_VHOST=/users/mblissett
MQ_PENDING=pending-4326
MQ_DONE=done-4326
MQ_FAILED=failed-4326
|
ef6d32b4fbb4ba1422a72dea44131c59c6a3ec67 | 449 | #!/bin/bash
cd dist
echo 'Start compressing for Mac OS X.'
tar zcf 'mac-osx.tar.gz' 'Electronic WeChat-darwin-x64'
echo 'Compressing for Mac OS X succeed.'
echo 'Start compressing for Linux x64.'
tar zcf 'linux-x64.tar.gz' 'electronic-wechat-linux-x64'
echo 'Compressing for Linux x64 succeed.'
echo 'Start compressi... |
6e576d3fc6d24740f875781f634803f6e065c0cc | 2,074 | #!/bin/bash
SCRIPT_DIRECTORY="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
CUDA_DEVICES="0"
INPUT_TRAINING_DATASET="/Users/gregdiamos/temp/mnist/train/database.txt"
INPUT_VALIDATION_DATASET="/Users/gregdiamos/temp/mnist/test/database.txt"
LOGS="NesterovAcceleratedGradientSolver,BenchmarkImageNet,LabelMatchResul... |
7c9c0567babe4916c78ce9fecab0c147661f2cc0 | 3,023 | # ███╗ ███╗██╗ ██╗ ██████╗ ██████╗ ███╗ ███╗███╗ ███╗ █████╗ ███╗ ██╗██████╗ ███████╗ ███████╗██╗ ██╗
# ████╗ ████║╚██╗ ██╔╝ ██╔════╝██╔═══██╗████╗ ████║████╗ ████║██╔══██╗████╗ ██║██╔══██╗██╔════╝ ██╔════╝██║ ██║
# ██╔████╔██║ ╚████╔╝ ██║ ██║ ██║██╔████╔██║██╔████╔██║█████... |
72eb276126e627ced05bcd7c9c16d09ee4a02e5d | 779 | #!/usr/bin/env bash
set -e
SELF_PATH=$(cd -P -- "$(dirname -- "$0")" && pwd -P) && SELF_PATH=$SELF_PATH/$(basename -- "$0")
SELF_DIR=$(dirname $SELF_PATH)
RSYNC_COMMAND="rsync -vaz --exclude node_modules --exclude tsconfig.tsbuildinfo"
eval "$RSYNC_COMMAND $SELF_DIR/workspaces/blessing/ ./workspaces/blessing/"
eval ... |
1d8776110620892c75967c9c134e17896f32ede9 | 242 | #!/bin/bash
for i in {2..254}
do
{
ip=172.16.80.$i
ping -c1 -W1 $ip &>/dev/null
if [ $? -eq 0 ];then
nmap $ip|grep vnc &>/dev/null
if [ $? -eq 0 ];then
echo "==========="
echo $ip vnc
fi
fi
}&
done
wait
echo "finish...."
|
b1526dbf2501f9168d1ed7d9e9839f0c9a691bda | 90 | read var1
read var2
#符号的左右必须有空格
ret=`expr $var1 \* $var2`
echo $ret
|
a7bb7fe6bb9cd655a0e0ac5f29121328667f5e2c | 1,465 | #!/usr/bin/env bash
# Tags: race
CURDIR=$(cd "$(dirname "${BASH_SOURCE[0]}")" && pwd)
# shellcheck source=../shell_config.sh
. "$CURDIR"/../shell_config.sh
$CLICKHOUSE_CLIENT -q "drop table if exists mt"
$CLICKHOUSE_CLIENT -q "create table mt (n int) engine=MergeTree order by n settings parts_to_throw_insert=5000"
$... |
d7edbe35db5e4f414e86bdbe612900b7ab243bf4 | 1,954 | # personal
source ~/.dotfiles/setup
#
# homebrew
#
[[ -s "/opt/homebrew/bin/brew shellenveval" ]] && eval "$(/opt/homebrew/bin/brew shellenv)"
[[ -s "/usr/local/bin/brew shellenv" ]] && eval "$(/usr/local/bin/brew shellenv)" # legacy setup
#
# gvm
#
[[ -s "$HOME/.gvm/scripts/gvm" ]] && source "$HOME/.gvm/scripts/g... |
aa7bd9b6a1f0fecd69c7bac44ab011fd96fa94a8 | 55 | #!/bin/sh
R --slave --quiet --no-save < xks_stats.r
|
d6f18747a38b11fe54ab3494e06a47119978c91c | 103 | #!/bin/bash
set -eo pipefail
cd $(git rev-parse --show-toplevel)
../../hack/lib/copy_prebuilt_ts.bash
|
b49e467d4f01b32bfaaa1f2809e1082f4ffd7d24 | 1,787 | #!/bin/sh
# Modified version of thoughtbots script
# https://github.com/thoughtbot/laptop/blob/master/mac
fancy_echo() {
local fmt="$1"; shift
printf "\n$fmt\n" "$@"
}
trap 'ret=$?; test $ret -ne 0 && printf "failed\n\n" >&2; exit $ret' EXIT
set -e
if [ ! -d "$HOME/bin/" ]; then
mkdir "$HOME/bin"
fi
if [ !... |
a7ed5d9ffa8d2e361385e10d287c27aeeb482a5e | 634 | #!/bin/bash
# variable Declaration & Initialization...
extension = `date +%Y%b%d`
backuppath="/home/Abhinav/backup/$extension/cobol/"
echo "$extension"
echo " "
echo " "
echo " moving gnt's to efeap bin "
echo " ================================================ "
echo ... |
c986d810a1dda308c910319293952a0b8d1c53a5 | 77 | #!/usr/bin/env bash
# Beheaded process
pgrep -f 7-highlander | xargs kill -9
|
cc164b2e882d3e2eec40e99b0ea5f067fd661f9b | 58 | FLASK_ENV =development
DATABASE_URI = 'sqlite:///test.db' |
1c07e4f5eb60657a830acc1fbd4da5a537655b06 | 169 | #!/bin/bash
echo "Bash version.... ${BASH_VERSION}...";
for i in {10..16}
do
wget https://people.bath.ac.uk/masrjb/CourseNotes/Notes.bpo/CM30078/slides$i.pdf
done
|
01108bf012641f07c7817b6d5d82a61a5d26a84b | 183 | #! /bin/bash -x
echo "enter number"
read num
fact=0
for (( i=2; i<=$num; i++ ))
do
if [ $(($num%i)) -ne 0 ]
then
fact=1
echo "prime:$num"
#else
# echo "not prime number"
fi
done
|
460618166db43d7d5c6472049131b9f2d0727f8f | 918 | #!/bin/sh
export CONFIG_FILE=${CONFIG_FILE-"/home/step/config/ca.json"}
export PASSWORD_FILE=${PASSWORD_FILE-"/home/step/secrets/password"}
export PASSWORD=${PASSWORD-"password"}
if [ ! -f "${PASSWORD_FILE}" ]; then
mkdir -p $(dirname $PASSWORD_FILE)
echo $PASSWORD > $PASSWORD_FILE
fi
if [ -f "${CONFIG_FILE}" ];... |
b354f67889ba0efb4bdc05ff2394f4d5f70076d3 | 64 | #!/bin/sh
#reboot -f &
/etc/init.d/bu_restore.sh backup &
exit
|
8347414eaa73cf477ee9b93f5401d58c483259bc | 99 | #!/bin/bash
source /home/labiot/catkin_ws/devel/setup.bash && roslaunch rplidar_ros rplidar.launch |
444ae57a6fe334e3d9144f537b1be72ed9849efe | 151 | mongo open_weather --eval "db.clean.drop()"
# Drops the munged weather, but keeps the station information
/usr/local/anaconda2/bin/python unrename.py
|
09f5a050a794498829c62396cadd73af4f816b75 | 268 | #!/bin/bash
for NODE_IP in $(linode-cli linodes list --tags k8s --json | jq -r '.[].ipv4[0]'); do
scp -o StrictHostKeychecking=no -i hufr install-docker-script.sh $NODE_IP:/root
ssh -o StrictHostKeychecking=no -i hufr $NODE_IP /root/install-docker-script.sh
done
|
d0f5a1707ed48942b421fc6e2a4b0febc2f1920c | 558 | #! /bin/sh
TOP_DIR=$(pwd)
BUILDROOT_TARGET_PATH=$(pwd)/../../buildroot/output/target/
aarch64_version=$(aarch64-linux-gcc --version 2>/dev/null)
arm_version=$(arm-linux-gcc --version 2>/dev/null)
if [ ! "$aarch64_version" = "" ] ;then
gcc=aarch64-linux-gcc
echo "gcc is aarch64-linux-gcc"
elif [ ! "$arm_version" = "" ... |
86b22fbbeb888517c7398b6ab6e4f5df1e702474 | 1,123 | db_type=`grep -w server.jdbc.database /etc/ambari-server/conf/ambari.properties|cut -d= -f2`
db_name=`grep -w server.jdbc.database_name /etc/ambari-server/conf/ambari.properties|cut -d= -f2`
db_host=`grep -w server.jdbc.hostname /etc/ambari-server/conf/ambari.properties|cut -d= -f2`
db_user=`grep -w server.jdbc.rca.use... |
cdc5cc798efaf8ae2da7012d7a0daf1bedcc630a | 295 | TRAEFIK_DASHBOARD_USER=<dashboard-user>
TRAEFIK_DASHBOARD_PASSWORD=<dashboard-password-hashed>
TRAEFIK_DOMAIN=<domain.tld>
TRAEFIK_LE_RESOLVER=<leresolver or staging>
GF_SECURITY_ADMIN_PASSWORD=<grafana-password-plaintext>
GF_USERS_ALLOW_SIGN_UP=false
GF_INSTALL_PLUGINS=grafana-piechart-panel
|
b82da4394e922fa7da62e35889ad70ee3a162233 | 1,075 | #!/bin/bash
# SPDX-License-Identifier: Apache-2.0
# Copyright (c) 2020 Intel Corporation
# start sdewan cnf with 2 provider networks.
PNET_IFC=net2
PNET_IP=$EDGE1_CNF_NET1_IFIP
PNET_NAME=pnetwork1
ONET_IFC=net3
ONET_IP=$EDGE1_CNF_NET3_IFIP
ONET_NAME=pnetwork2
SDEWAN_VALUES_FILE=./edgeapps/network-functions/sdewan_c... |
f335304437e39f323aa04e9820ecd6b0394f17b5 | 116 | #!/bin/bash
ln -s ~/.vim/vimrc ~/.vimrc
vim +:PluginUpdate +:PluginClean +qall
~/vim/install-plugin-update-hook.sh
|
3818f08baa808e268d5d6ce75c05e13926e5f9df | 328 | #!/bin/bash
cd tests
for haskellfile in `ls | grep -e ".hs"`; do
filename=${haskellfile%.*}
ghc ${haskellfile}
echo "haskell out:"
./${filename}
echo "java out:"
javafile="Translated_"${filename}".java"
javac $javafile
java ${javafile%.*}
ls | grep -v 'java\|hs$' | xargs rm
done... |
6f7f4ef3b4e4b1506e45aff627b3ff69b19a2c16 | 803 | #!/bin/bash -ve
if [ -e top100k.Left.fq.gz ] && ! [ -e top100k.Left.fq ]
then
gunzip -c top100k.Left.fq.gz > top100k.Left.fq
fi
if [ -e top100k.Right.fq.gz ] && ! [ -e top100k.Right.fq ]
then
gunzip -c top100k.Right.fq.gz > top100k.Right.fq
fi
if [ -e top100k.genome.gz ] && ! [ -e top100k.genome ]
then
gunzip -... |
b113578d0859aea19915efbd7c71e0e894c15ac1 | 86 | NAME=ProjNmae
DB_HOST=127.0.0.1
DB_NAME=sadas
DB_USERNAME=gaurav
DB_PASSWORD=password |
ca709ced530d680f85af65d7af7bd89b350afc82 | 496 | #!/bin/bash
#use the host filesystem and mount it on the container using -v flag with the run command.
sudo docker run -it -v <absolute_path>:<folder_path_or_new_folder_name> <image_name>
# To mount the file system as read-only, use ro flag.
sudo docker run -it -v <aboslute_path>:<folder_path_or_new_folder_name>:r... |
73894a92197acd1eab9572d1ba2880127f249b3f | 1,181 | #!/bin/ksh
###############################################################################
#
# Name: tuxLogClean.ksh
#
# Reference: n/a
#
# Description: backup locus tuxedo instance ULOG file and achive
#
# Parameters: None
#
# Modification History:
#
# Date Name Description
# -------... |
5f41f4e310d73a84876ab2aaba6dceee2f932ea0 | 742 | #!/bin/sh
source $HOME/.extra
# Git aliases
git config --global alias.co checkout
git config --global alias.amend "commit --amend -C HEAD"
git config --global alias.delete "branch -D"
git config --global alias.ds "diff --staged"
git config --global alias.graph "log --graph --pretty=format':%C(yellow)%h%Cblue%d%Creset... |
e27004f4a96657a39d3a042e305249740eece51e | 403 | #!/bin/bash
set -euo pipefail
########## COMMON INCLUDES #################################################
{{uniqueCode}}
########## CODE ############################################################
{{code}}
{% if cleanupCode is not empty %}
########## CLEANUP CODE ###################################################... |
55ad71bd27919a366fc56c431f0c458e875b3015 | 624 | #!/bin/bash
#### 此处是注释开始 ####
# https://wiki.jikexueyuan.com/project/shell-tutorial/shell-comment.html
# https://cloud.tencent.com/developer/labs/gallery
#### 此处是注释结束 ####
sudo su
wget https://nodejs.org/dist/v6.10.3/node-v6.10.3-linux-x64.tar.xz
tar xvJf node-v6.10.3-linux-x64.tar.xz
mv node-v6.10.3-linux-x64 /usr/... |
fd4bf2c4a64d90c5a99000e4a7a1965f3bba4794 | 192 | #!/bin/bash
python /public/groups/meyerlab/software/LongQC/longQC.py sampleqc -p 24 -x pb-hifi -o longqc_filtered_o ditt_m64069_220505_192103.hifi_reads.filt.abvf.fastq 1>longqc.o 2>longqc.e
|
063b742e4cc49158687ed8949398f31c16c5c80b | 833 | #!/bin/bash
# Destroy Shared Resources
terraform init \
-backend-config="storage_account_name=${TF_VAR_rp_prefix}tfstate" \
-backend-config="container_name=tfstate-cluster" \
-backend-config="key=terraform.tfstate" \
-reconfigure
terraform destroy -auto-approve
RET=$?
# Delete Resource Group for Remo... |
7266543b5d37261189f8669cf785b5210a9b6b5c | 1,235 | #!/bin/bash
set -e
if [ "${1}" = "run" ];then
set -- catalina.sh "$@"
fi
mkdir -p $CATALINA_HOME/conf/Catalina/localhost
for webapp in $(ls /dspace/webapps/); do
# Exclue jspui parce qu'il n'est pas compilable avec tomcat8
if [ "$webapp" != "jspui" ]; then
if [ "$webapp" == "solr" ]; then
{
echo "... |
c0fc71a5de7571923fe00e2cee21ee4d683981ed | 160 | while(true)
do
date
mysqldump -uroot -ppwd mydb | gzip > /home/lxp/install/mysqlbak/DatabaseName_$(date +%Y%m%d_%H%M%S).sql.gz
sleep 14400 #4hours
done
|
2b81d83c2531644a3e71dcbe4e1b18f403909a7e | 2,446 | #!/bin/bash
# Gabriel Downs, 2018
# Example script for splitting toronto datasets into 'train' and 'test' groups
# This script assumes the following directory structure:
# .
# |-- unsplit/
# | toronto_rgb/
# | toronto_line_drawings/
# | (etc. directories of raw, ungrouped data)
# |-- toronto/
# | rgb/... |
a5e4f98d15a713fc7ee0c7a632a273e16da3ec1e | 977 | #!/bin/bash
export TOOLCHAIN_ROOT="$(pwd)"
source "$TOOLCHAIN_ROOT"/utils.v1.sh
set_strict_mode
# TODO: what shell requirements do we have now?
if [[ "$#" -lt 1 ]]; then
die_here <<EOF
Usage: $0 name [version=latest] [target_os=\$(uname)] [arch_subdir=\$(uname -m)]
EOF
exit 1
fi
# ./request.sh binutils [2.30] ... |
a6ad85b90cbe869c6dce72ee8ea92098f586b811 | 102 | #!/usr/bin/env bash
scala -cp bin:lib/scalatest_2.11-2.2.4.jar org.scalatest.run testing.ExampleSpec
|
79b066d9d47bed8f3dd14a4c6155edcaa7db1ade | 37 | #!/bin/sh
python simplehttpserver.py
|
f9a3ec43351b44b8295ed606b8833fd65125bdac | 2,367 | #!/bin/bash
#
# A simple script to listen at the Norwegian VHF ham repeaters in South of Norway
#
# Stop rendering audio with typing Ctrl C (^C)
#
# Author: Made by Steinar/LA7XQ
#
# INFO:
# '>/dev/null 2>&1' below means: ignore any printout(s) from the statement in front
#
# NOTICE: be sure first to install alsa-utils... |
2906e71919f16e05a62c58faf0cf1725a8df9f53 | 554 | #!/bin/bash
API_KEY=$1
URL=$2
USERNAME=$3
PASSWORD=$4
node index.js $API_KEY $URL $USERNAME $PASSWORD
counter=0
DIR=/home/node/app/artifacts/
FILES_IN_DIR=("report-0.trace.json" "report-0.devtoolslog.json" "report.html" "screenshot.jpg" "waterfall.png" "video.mp4")
ls -la $DIR
if [ -d "$DIR" ]; then
echo "$DIR is ... |
Subsets and Splits
No community queries yet
The top public SQL queries from the community will appear here once available.